Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.xml
Class XMLEncoder

    java.lang.Object
      org.objectstyle.cayenne.xml.XMLEncoder

    public class XMLEncoder

extends java.lang.Object

A helper class to encode objects to XML.

Since:
  1.2
Author:
  Kevin J. Menard, Jr., Andrus Adamchik

Constructor Summary
`XMLEncoder()` Creates new XMLEncoder.
`XMLEncoder(java.lang.String mappingUrl)` Creates new XMLEncoder that will use a mapping descriptor loaded via provided URL.

Method Summary
`java.lang.String` | `encode(java.lang.Object object)` Encodes an object using "root" as a root tag.
`java.lang.String` | `encode(java.lang.String rootTag, java.lang.Object object)` Encodes using provided root XML tag.
`void` | `encodeProperty(java.lang.String xmlTag, java.lang.Object value)` A callback method for XMLSerializable objects to encode an object property.
`void` | `setRoot(java.lang.String xmlTag, java.lang.String type)` A callback for XMLSerializable objects to add a node to an encoding tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEncoder

    public XMLEncoder()

  Creates new XMLEncoder.

### XMLEncoder

    public XMLEncoder(java.lang.String mappingUrl)

  Creates new XMLEncoder that will use a mapping descriptor loaded via provided URL.

Method Detail

### setRoot

    public void setRoot(java.lang.String xmlTag,
                        java.lang.String type)

  A callback for XMLSerializable objects to add a node to an encoding tree.

### encodeProperty

    public void encodeProperty(java.lang.String xmlTag,
                               java.lang.Object value)

  A callback method for XMLSerializable objects to encode an object property. Note that the object must call "setRoot" prior to encoding its properties.

  Parameters:
    `xmlTag` - The name of the XML element used to represent the property.
    `value` - The object's property value to encode.

### encode

    public java.lang.String encode(java.lang.Object object)
                            throws CayenneRuntimeException

  Encodes an object using "root" as a root tag.

  Throws:
    `CayenneRuntimeException`

### encode

    public java.lang.String encode(java.lang.String rootTag,
                                   java.lang.Object object)
                            throws CayenneRuntimeException

  Encodes using provided root XML tag.

  Throws:
    `CayenneRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.